<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: HealthRegenMdfr Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/df7/class_health_regen_mdfr.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">HealthRegenMdfr Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for HealthRegenMdfr:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d0/df7/class_health_regen_mdfr.png" usemap="#HealthRegenMdfr_map" alt=""/>
  <map id="HealthRegenMdfr_map" name="HealthRegenMdfr_map">
<area href="../../d8/d0a/class_modifier_base.html" alt="ModifierBase" shape="rect" coords="0,0,111,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a68f6cb386ee00d38954134b5f6720f45"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/df7/class_health_regen_mdfr.html#a68f6cb386ee00d38954134b5f6720f45">Init</a> ()</td></tr>
<tr class="separator:a68f6cb386ee00d38954134b5f6720f45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f8c5d5067135d788f5e0effadb3b2a8"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/df7/class_health_regen_mdfr.html#a3f8c5d5067135d788f5e0effadb3b2a8">ActivateCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a3f8c5d5067135d788f5e0effadb3b2a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ec96f39cf975b669564e55ea53ff6c8"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/df7/class_health_regen_mdfr.html#a6ec96f39cf975b669564e55ea53ff6c8">OnActivate</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a6ec96f39cf975b669564e55ea53ff6c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8a18261663aa92931dd586c5cd286fa"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/df7/class_health_regen_mdfr.html#ab8a18261663aa92931dd586c5cd286fa">OnReconnect</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:ab8a18261663aa92931dd586c5cd286fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50f638ed830c405c6080e4685551ab6a"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/df7/class_health_regen_mdfr.html#a50f638ed830c405c6080e4685551ab6a">DeactivateCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a50f638ed830c405c6080e4685551ab6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab06fb63bd12fd917ebc4da339a6cf315"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/df7/class_health_regen_mdfr.html#ab06fb63bd12fd917ebc4da339a6cf315">OnTick</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d4/dc3/classfloat.html">float</a> deltaT)</td></tr>
<tr class="separator:ab06fb63bd12fd917ebc4da339a6cf315"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../dd/da6/_health_regen_8c_source.html#l00001">1</a> of file <a class="el" href="../../dd/da6/_health_regen_8c_source.html">HealthRegen.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a3f8c5d5067135d788f5e0effadb3b2a8" name="a3f8c5d5067135d788f5e0effadb3b2a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f8c5d5067135d788f5e0effadb3b2a8">&#9670;&#160;</a></span>ActivateCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HealthRegenMdfr::ActivateCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da6/_health_regen_8c_source.html#l00012">12</a> of file <a class="el" href="../../dd/da6/_health_regen_8c_source.html">HealthRegen.c</a>.</p>

</div>
</div>
<a id="a50f638ed830c405c6080e4685551ab6a" name="a50f638ed830c405c6080e4685551ab6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a50f638ed830c405c6080e4685551ab6a">&#9670;&#160;</a></span>DeactivateCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HealthRegenMdfr::DeactivateCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da6/_health_regen_8c_source.html#l00026">26</a> of file <a class="el" href="../../dd/da6/_health_regen_8c_source.html">HealthRegen.c</a>.</p>

</div>
</div>
<a id="a68f6cb386ee00d38954134b5f6720f45" name="a68f6cb386ee00d38954134b5f6720f45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68f6cb386ee00d38954134b5f6720f45">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void HealthRegenMdfr::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da6/_health_regen_8c_source.html#l00003">3</a> of file <a class="el" href="../../dd/da6/_health_regen_8c_source.html">HealthRegen.c</a>.</p>

</div>
</div>
<a id="a6ec96f39cf975b669564e55ea53ff6c8" name="a6ec96f39cf975b669564e55ea53ff6c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ec96f39cf975b669564e55ea53ff6c8">&#9670;&#160;</a></span>OnActivate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void HealthRegenMdfr::OnActivate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da6/_health_regen_8c_source.html#l00017">17</a> of file <a class="el" href="../../dd/da6/_health_regen_8c_source.html">HealthRegen.c</a>.</p>

</div>
</div>
<a id="ab8a18261663aa92931dd586c5cd286fa" name="ab8a18261663aa92931dd586c5cd286fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8a18261663aa92931dd586c5cd286fa">&#9670;&#160;</a></span>OnReconnect()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void HealthRegenMdfr::OnReconnect </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da6/_health_regen_8c_source.html#l00021">21</a> of file <a class="el" href="../../dd/da6/_health_regen_8c_source.html">HealthRegen.c</a>.</p>

</div>
</div>
<a id="ab06fb63bd12fd917ebc4da339a6cf315" name="ab06fb63bd12fd917ebc4da339a6cf315"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab06fb63bd12fd917ebc4da339a6cf315">&#9670;&#160;</a></span>OnTick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void HealthRegenMdfr::OnTick </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>deltaT</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da6/_health_regen_8c_source.html#l00031">31</a> of file <a class="el" href="../../dd/da6/_health_regen_8c_source.html">HealthRegen.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/PlayerModifiers/Modifiers/<a class="el" href="../../dd/da6/_health_regen_8c_source.html">HealthRegen.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d0/df7/class_health_regen_mdfr.html">HealthRegenMdfr</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
